
<div class="form-row">
  <div class="Contenedor--Qr">
    <qrcode [qrdata]="tQrString" width="128" errorCorrectionLevel="M" elementType="canvas"></qrcode>
  </div>
  <div class="Contenedor--Datos">
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-qrcode"></i></span></div>
      <input class="ControlInput--Input" type="text" [readonly]="true" placeholder="Cupòn" [(ngModel)]="tCupon.Codcupon" size="sm" id="txtCodcupon"/>
    </div>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12">
    <label class="form-label h6" for="txtDescripcion">Descripción</label>
    <div class="ControlInput">
      <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-align-justify"></i></span></div>
      <input class="ControlInput--Input" type="text" placeholder="Descripción" [(ngModel)]="tCupon.Descripcion" name="Descripcion" required="" size="sm" id="txtDescripcion"/>
    </div>
  </div>
</div>